%define name ftpsync
%define version 1.20180513
%define release 2
Summary: This is what ftpsync does.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: archvsync-20180513.tar.gz
# needed to make build
Source1: pkg-info.mk
Source2: dpkg-parsechangelog
License: GNU GPL version 2
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRequires: dpkg-perl
BuildRequires: pandoc
Requires: smeserver-release >= 11.0
Requires: rsync
AutoReqProv: no

%description
ftpsync is the preferred tool for maintaining a Debian mirror.  It
tries to make updates as smooth as possible, without the clients
experiencing half updated mirrors.  It supports partial mirrors by
architecture.

%changelog
* Mon Dec 02 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.20180513-2.sme
- Initial code for SME Server

%prep

%setup -q -n archvsync-20180513
sed -i -e 's|dpkg-parsechangelog|./dpkg-parsechangelog|' %{SOURCE1}
cp %{SOURCE1} .
chmod +x %{SOURCE2}
cp %{SOURCE2} .
sed -i -e 's|include /usr/share/dpkg/pkg-info.mk|include pkg-info.mk|' Makefile
sed -i -e 's|CONFDIRS=(|CONFDIRS=(~/etc/ |' bin/include-install
make all

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}/examples
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man1,man5}
mkdir -p $RPM_BUILD_ROOT/etc/ftpsync
export DESTDIR=$RPM_BUILD_ROOT
make install

rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  |sed -e 's/\.1/.1.gz/'\
  |sed -e 's/\.5/.5.gz/'\
  > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
